# class KCharSelectTable | Character-Selection Table. More...
Definition | `#include <kcharselect.h>`
Inherits | QTableView (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KCharSelectTable ( QWidget *parent, const char *name, const QString &_font, const QChar &_chr, int _tableNum )
- virtual QSize sizeHint () const
- virtual void setFont ( const QString &_font )
- virtual void setChar ( const QChar &_chr )
- virtual void setTableNum ( int _tableNum )
- virtual QChar chr ()

#### Signals

- void highlighted ( const QChar &c )
- void highlighted ()
- void activated ( const QChar &c )
- void activated ()
- void focusItemChanged ()
- void focusItemChanged ( const QChar &c )
- void tableUp ()
- void tableDown ()

#### Protected Methods

- virtual void paintCell ( class QPainter *p, int row, int col )
- virtual void mousePressEvent ( QMouseEvent *e )
- virtual void mouseReleaseEvent ( QMouseEvent *e )
- virtual void mouseMoveEvent ( QMouseEvent *e )
- virtual void keyPressEvent ( QKeyEvent *e )
- void gotoLeft ()
- void gotoRight ()
- void gotoUp ()
- void gotoDown ()

#### Protected Members

- QString vFont
- QChar vChr
- int vTableNum
- QPoint vPos
- QChar focusItem
- QPoint focusPos

## Detailed Description

A table widget which displayes the characters of a font. Internally used by KCharSelect. See the KCharSelect documentation for further details.

KCharSelectTable ( QWidget *parent, const char *name, const QString &_font, const QChar &_chr, int _tableNum ) | ### KCharSelectTable

QSize sizeHint () | ### sizeHint

[const virtual]

void setFont ( const QString &_font ) | ### setFont

[virtual]

void setChar ( const QChar &_chr ) | ### setChar

[virtual]

void setTableNum ( int _tableNum ) | ### setTableNum

[virtual]

QChar chr () | ### chr

[virtual]

void paintCell ( class QPainter *p, int row, int col ) | ### paintCell

[protected virtual]

Reimplemented from QTableView.

void mousePressEvent ( QMouseEvent *e ) | ### mousePressEvent

[protected virtual]

void mouseReleaseEvent ( QMouseEvent *e ) | ### mouseReleaseEvent

[protected virtual]

void mouseMoveEvent ( QMouseEvent *e ) | ### mouseMoveEvent

[protected virtual]

void keyPressEvent ( QKeyEvent *e ) | ### keyPressEvent

[protected virtual]

void gotoLeft () | ### gotoLeft

[protected]

void gotoRight () | ### gotoRight

[protected]

void gotoUp () | ### gotoUp

[protected]

void gotoDown () | ### gotoDown

[protected]

QString vFont | ### vFont

[protected]

QChar vChr | ### vChr

[protected]

int vTableNum | ### vTableNum

[protected]

QPoint vPos | ### vPos

[protected]

QChar focusItem | ### focusItem

[protected]

QPoint focusPos | ### focusPos

[protected]

void highlighted ( const QChar &c ) | ### highlighted

[signal]

void highlighted () | ### highlighted

[signal]

void activated ( const QChar &c ) | ### activated

[signal]

void activated () | ### activated

[signal]

void focusItemChanged () | ### focusItemChanged

[signal]

void focusItemChanged ( const QChar &c ) | ### focusItemChanged

[signal]

void tableUp () | ### tableUp

[signal]

void tableDown () | ### tableDown

[signal]

- Version: $Id: kcharselect.h,v 1.15 2000/08/17 11:15:18 faure Exp $
- Author: Reginald Stadlbauer <reggie@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.